List events

Returns a paginated list of your events.

GET/v1/events/

Authorization

api_key_auth
AuthorizationBearer <token>

API key authentication. Use "Bearer YOUR_API_KEY" format.

In: header

Query Parameters

limit?string

The number of results per page. Minimum value is 1 and maximum is 100. Defaults to 20.

starting_after?string

A cursor value specifying the id of a resource to start before. Retrieves items that appear after this cursor in the list. Cannot be used together with ending_before.

Match^[0-9a-fA-F]{24}$
ending_before?string

A cursor value specifying the id of a resource to end after. Retrieves items that appear before this cursor in the list. Cannot be used together with starting_after.

Match^[0-9a-fA-F]{24}$
status?string

Filter events by publication status.

Value in"published" | "draft" | "archived"
search?string

Case-insensitive search matched against page name and title.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.checkoutpage.com/v1/events/"
{
  "has_more": true,
  "total": 42,
  "data": [
    {
      "id": "65f4a1c2e4a9f3d2b1c0a9e8",
      "sellerId": "65f4a1c2e4a9f3d2b1c0a9e8",
      "name": "string",
      "slug": "string",
      "status": "published",
      "images": [
        {
          "fileId": "string",
          "url": "https://bucket-name.s3.amazonaws.com/image.jpg",
          "name": "product-image.jpg",
          "size": 245678,
          "width": 1920,
          "height": 1080
        }
      ],
      "locale": "string",
      "fields": [
        {
          "id": "507f1f77bcf86cd799439011",
          "label": "Company Name",
          "placeholder": "Enter your company name",
          "element": "text",
          "type": "company-name",
          "options": [
            {
              "id": "65f4a1c2e4a9f3d2b1c0a9e8",
              "label": "Label",
              "value": "value"
            }
          ],
          "required": true,
          "order": 0,
          "reference": "custom_field_1",
          "hidden": false,
          "defaultValue": {
            "enabled": true,
            "value": "string"
          },
          "showHideLogic": {
            "enabled": true,
            "comparison": "is",
            "value": "string",
            "element": {
              "elementTitle": "string",
              "elementType": "field",
              "elementId": "string"
            }
          },
          "minValue": {
            "enabled": true,
            "value": "string"
          },
          "maxValue": {
            "enabled": true,
            "value": "string"
          },
          "limitAllowedCountries": {
            "enabled": true,
            "countries": [
              "string"
            ]
          },
          "showSelectedDialCode": true,
          "createdAt": "2024-01-15T10:30:00.000Z",
          "updatedAt": "2024-01-15T10:30:00.000Z"
        }
      ],
      "url": "string",
      "customizeCheckoutConfirmation": true,
      "closePopupOnClickOutside": true,
      "funnelSteps": [
        {
          "type": "upsell",
          "order": 1,
          "enabled": true,
          "config": {
            "action": "checkout",
            "pageId": "507f1f77bcf86cd799439012"
          }
        },
        {
          "type": "confirmation",
          "order": 2,
          "enabled": true,
          "config": {
            "action": "confirmation",
            "customizeCheckoutConfirmation": true,
            "confirmationCheckoutTitle": "Order confirmed",
            "confirmationCheckoutMessage": "<p>Thanks for your purchase.</p>"
          }
        }
      ],
      "visitCount": 0,
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "redirect": {
        "enabled": true,
        "url": "string"
      },
      "afterPaymentAction": "confirmation",
      "redirectPageId": "65f4a1c2e4a9f3d2b1c0a9e8",
      "redirectUrl": "string",
      "redirectUrlPath": [
        {
          "key": "string",
          "identifier": "string"
        }
      ],
      "redirectUrlQuery": [
        {
          "parameter": "string",
          "key": "string",
          "identifier": "string"
        }
      ],
      "redirectUrlInsideEmbed": true,
      "confirmationCheckoutTitle": "string",
      "confirmationCheckoutMessage": "string",
      "sendPaymentNotification": true,
      "notifyEmail": "string",
      "sendEmailConfirmation": true,
      "customizeEmailConfirmation": true,
      "confirmationEmailSubject": "string",
      "confirmationEmailMessage": "string",
      "confirmationEmailShowLogo": true,
      "confirmationEmailShowStoreName": true,
      "googleIndex": true,
      "trackingCodes": "string",
      "type": "event",
      "title": "string",
      "description": "string",
      "descriptionHtml": "string",
      "eventDetails": {
        "status": "active",
        "currency": "string",
        "startDate": "2019-08-24T14:15:22Z",
        "endDate": "2019-08-24T14:15:22Z",
        "type": "in_person",
        "timezone": "string",
        "location": "string",
        "mapsLink": "string",
        "meetingLink": "string",
        "platform": "zoom",
        "capacity": 0,
        "taxBehavior": "inclusive",
        "taxCode": "string",
        "pdfTicketsEnabled": true,
        "discounts": [
          {
            "quantityCondition": "total_quantity",
            "ticketTypeIds": [
              "65f4a1c2e4a9f3d2b1c0a9e8"
            ],
            "minQuantity": 0,
            "maxQuantity": 0,
            "percentOff": 0,
            "amountOff": 0
          }
        ]
      },
      "showConfirmationEventName": true,
      "showConfirmationEventDateTime": true,
      "showConfirmationEventLocation": true,
      "showConfirmationEventMeetingLink": true,
      "showConfirmationEventTickets": true,
      "ticketGroups": [
        {
          "id": "string",
          "name": "string",
          "description": "string",
          "status": "enabled",
          "availabilityStatus": "available",
          "reference": "string",
          "layout": {
            "type": "list",
            "columns": 0,
            "collapse": true,
            "alignment": "default",
            "spacing": "comfortable",
            "imageSize": "small",
            "showTicketGroupName": true,
            "showTicketTypeName": true,
            "showTicketPrice": true,
            "showTicketTotalPrice": true,
            "showTicketSaleDateTimezone": true
          },
          "ticketSelectionType": "single",
          "preselect": {
            "enabled": true,
            "ticketTypeId": "65f4a1c2e4a9f3d2b1c0a9e8",
            "quantity": 0
          },
          "capacity": 0,
          "hidden": true,
          "hideWhenSoldOut": true,
          "hideWhenNotOnSale": true,
          "hideWhenScheduled": true,
          "hideWhenUnavailable": true,
          "bulkDiscounts": [
            {
              "minQuantity": 0,
              "maxQuantity": 0,
              "percentOff": 0
            }
          ],
          "availabilityBehavior": "always_available",
          "saleStartOn": "string",
          "saleEndOn": "string",
          "triggerTicketGroupId": "65f4a1c2e4a9f3d2b1c0a9e8",
          "ticketTypes": [
            {
              "id": "string",
              "ticketGroupId": "65f4a1c2e4a9f3d2b1c0a9e8",
              "name": "string",
              "description": "string",
              "reference": "string",
              "hidden": true,
              "hideWhenSoldOut": true,
              "hideWhenNotOnSale": true,
              "hideWhenScheduled": true,
              "hideWhenUnavailable": true,
              "pricing": "paid",
              "price": 0,
              "discountedFromPrice": 0,
              "capacity": 0,
              "quantitySold": 0,
              "minQuantity": 0,
              "maxQuantity": 0,
              "showAvailableQuantity": true,
              "showTicketSaleDates": true,
              "image": {
                "fileId": "string",
                "url": "https://bucket-name.s3.amazonaws.com/image.jpg",
                "name": "product-image.jpg",
                "size": 245678,
                "width": 1920,
                "height": 1080
              },
              "availabilityBehavior": "always_available",
              "availabilityStatus": "available",
              "saleStartOn": "string",
              "saleEndOn": "string",
              "triggerTicketTypeId": "65f4a1c2e4a9f3d2b1c0a9e8",
              "status": "enabled"
            }
          ]
        }
      ],
      "tax": {
        "enabled": true
      },
      "savePaymentMethod": true,
      "paymentMethods": {
        "stripe": {
          "card": {
            "enabled": true
          },
          "agpay": {
            "enabled": true,
            "mode": "default"
          },
          "multiple": {
            "enabled": false
          }
        }
      },
      "paymentOptions": [
        {
          "type": "manual",
          "enabled": true,
          "name": "Pay in full",
          "description": "string",
          "instructions": "Bank details will be sent via email after checkout.",
          "partialAmount": 0,
          "showPaymentButton": true,
          "manualType": "invoice"
        }
      ],
      "fees": [
        {
          "name": "Processing fee",
          "amount": 50,
          "percentage": 0,
          "multiplyByQuantity": true,
          "multiplyByTickets": true,
          "applyToSpecificPaymentMethods": false,
          "paymentMethods": [
            "acss_debit"
          ]
        }
      ],
      "allowDynamicPrice": true,
      "allowDynamicDiscountedFromPrice": true,
      "allowDynamicTitle": true,
      "allowDynamicDescription": true,
      "allowDynamicRedirectUrl": true,
      "showCouponCodeField": true,
      "showCouponCodeFieldType": "link",
      "invoiceSettings": {
        "bankDetails": "Account: 12345678, Sort code: 00-00-00",
        "additionalInformation": {
          "enabled": true,
          "title": "Payment terms",
          "message": "Payment is due within 30 days of invoice date."
        },
        "dueDays": {
          "enabled": true,
          "days": 30
        }
      },
      "checkoutAbandonment": {
        "disableEmails": true,
        "showStoreLogo": true,
        "showStoreName": true,
        "emailReminders": {
          "property1": {
            "customizeEmail": true,
            "subject": "Complete your purchase",
            "body": "<p>You left something behind!</p>",
            "buttonText": "Complete order"
          },
          "property2": {
            "customizeEmail": true,
            "subject": "Complete your purchase",
            "body": "<p>You left something behind!</p>",
            "buttonText": "Complete order"
          }
        }
      }
    }
  ]
}
{
  "status": "error",
  "type": "error",
  "message": "Not Found",
  "errors": [
    {
      "param": "string",
      "message": "string",
      "value": null
    }
  ],
  "property1": null,
  "property2": null
}
{
  "status": "error",
  "type": "error",
  "message": "Not Found",
  "errors": [
    {
      "param": "string",
      "message": "string",
      "value": null
    }
  ],
  "property1": null,
  "property2": null
}
{
  "status": "error",
  "type": "error",
  "message": "Not Found",
  "errors": [
    {
      "param": "string",
      "message": "string",
      "value": null
    }
  ],
  "property1": null,
  "property2": null
}
{
  "status": "error",
  "type": "error",
  "message": "Not Found",
  "errors": [
    {
      "param": "string",
      "message": "string",
      "value": null
    }
  ],
  "property1": null,
  "property2": null
}
{
  "status": "error",
  "type": "error",
  "message": "Not Found",
  "errors": [
    {
      "param": "string",
      "message": "string",
      "value": null
    }
  ],
  "property1": null,
  "property2": null
}